Форум поддержки пользователей. LibreOffice, Apache OpenOffice, OpenOffice.org

Форум поддержки пользователей. LibreOffice, Apache OpenOffice, OpenOffice.org

6 Декабрь 2021, 18:30 *
Добро пожаловать, Гость. Пожалуйста, войдите или зарегистрируйтесь.
Вам не пришло письмо с кодом активации?

Войти
Новости: Вы можете задать вопрос по LibreOffice или Apache OpenOffice без регистрации, используя форму
 
   Начало   Помощь Поиск Войти Регистрация    задать вопрос  
Страниц: 1 2 »   Вниз
  Печать  
Автор Тема: ООо версии 3.2.1 в Windows 7 Ult 64 bit! Не работает проверка грамматики.  (Прочитано 10343 раз)
0 Пользователей и 1 Гость смотрят эту тему.
kabinet1009
Участник
**
Offline Offline

Сообщений: 9


« Стартовое сообщение: 2 Октябрь 2010, 11:03 »

Уважаемые сопользователи ООо версии 3.2.1! Подскажите начинающему. На установленный Windows 7 Ult 64 bit, не ставиться Language Tool 1.1. Пробовал ставить не один раз. Иногда устанавливается, но при печати текстов вылетают какие - то сообщения, открываются окна с информацией. Короче, рассчитан ли Language Tool 1.1.  на работу с Windows 7 Ult 64 bit? Возможно я что-то не настроил? Русские словари установились, и проверка орфографии идет, а синтаксические ошибки не проверяет.
Спасибо всем, кто откликнется.
« Последнее редактирование: 2 Октябрь 2010, 11:11 от kabinet1009 » Записан
Syzygy
Форумчанин
***
Offline Offline

Пол: Мужской
Расположение: Подмосковье
Сообщений: 1 522


WWW
« Ответ #1: 2 Октябрь 2010, 13:36 »

Иногда устанавливается, но при печати текстов вылетают какие - то сообщения, открываются окна с информацией.
Сделайте скриншот этих сообщений и приложите к посту. Также посмотрите, установленая ли у вас ява и какой она версии.
Ещё рекомендую почитать здесь: http://myooo.ru/content/view/186/1/.
Ну и что это значит:
Цитата:
Иногда устанавливается
? Иногда не ставится? Что пишет, когда не ставится, что происходит?
« Последнее редактирование: 2 Октябрь 2010, 13:43 от Syzygy » Записан

A Matter of Life and Death
VlhOwn
Форумчанин
***
Offline Offline

Пол: Мужской
Расположение: Ростов-на-Дону
Сообщений: 1 076


« Ответ #2: 2 Октябрь 2010, 14:49 »

Рассчитан. У меня все прекрасно работает.

[вложение удалено Администратором]
« Последнее редактирование: 2 Октябрь 2010, 14:52 от VlhOwn » Записан
kabinet1009
Участник
**
Offline Offline

Сообщений: 9


« Ответ #3: 2 Октябрь 2010, 23:03 »

Сделайте скриншот этих сообщений и приложите к посту. Также посмотрите, установленая ли у вас ява и какой она версии.
Ещё рекомендую почитать здесь: http://myooo.ru/content/view/186/1/.
Ну и что это значит:
Цитата:
Иногда устанавливается
? Иногда не ставится? Что пишет, когда не ставится, что происходит?


Скриншоты в прикрепленных файлах. Что-то не понял как их в этот текст вставить.
Окно об ошибке выскакивает сразу, когда начинаю набирать текст. Скриншот Явы сделал.
Я неоднократно пытался установить словари и LT, какой - то LT не ставился, что писалось не помню. Сейчас стоит LT 1.1.
Помогите, если можете.

Спасибо.




[вложение удалено Администратором]
« Последнее редактирование: 3 Октябрь 2010, 00:41 от kabinet1009 » Записан
Syzygy
Форумчанин
***
Offline Offline

Пол: Мужской
Расположение: Подмосковье
Сообщений: 1 522


WWW
« Ответ #4: 2 Октябрь 2010, 23:21 »

Попробуйте поставить LT 1.0 и посмотрите, как он будет себя вести. Также можно попробовать переставить яву.
Записан

A Matter of Life and Death
Yakov
Администратор
**
Offline Offline

Сообщений: 2 590


WWW
« Ответ #5: 3 Октябрь 2010, 08:34 »

Я неоднократно пытался установить словари и LT, какой - то LT не ставился, что писалось не помню. Сейчас стоит LT 1.1.
Возможно, остались следы от предыдущей версии LT.
Поэтому необходимо удалить LT, полностью закрыть ООо (в том числе и быстрый запуск).
Запустить ООо и убедиться, что  LT удалён, а затем его заново установить.
Могут быть проблемы с установкой LT, если имя пользователя содержит русские буквы
(это баг OOo 95162)
Записан
kabinet1009
Участник
**
Offline Offline

Сообщений: 9


« Ответ #6: 3 Октябрь 2010, 17:52 »

Возможно, остались следы от предыдущей версии LT.
Поэтому необходимо удалить LT, полностью закрыть ООо (в том числе и быстрый запуск).
Запустить ООо и убедиться, что  LT удалён, а затем его заново установить.
Могут быть проблемы с установкой LT, если имя пользователя содержит русские буквы
(это баг OOo 95162)
А как проверить остались ли они? В панели быстрого запуска у меня ООо нет. Я с W7 не работал раньше, может что - то не так делаю при переустановке LT? Про имя пользователя. Это имя пользователя Windows?
Записан
kabinet1009
Участник
**
Offline Offline

Сообщений: 9


« Ответ #7: 3 Октябрь 2010, 17:55 »

Рассчитан. У меня все прекрасно работает.
Вы после его установки его дополнительно настраивали?
Какие у Вас версии словарей и LT?
Записан
Yakov
Администратор
**
Offline Offline

Сообщений: 2 590


WWW
« Ответ #8: 3 Октябрь 2010, 19:00 »

А как проверить остались ли они?
В менеджере расширений (окно управление расширениями). Ну и в меню Сервис ссылка на LanguageTool должна отсутствовать.
Это имя пользователя Windows?
Да.

В OpenOffice.org расширения могут устанавливаться для всех пользователей (административная установка, нужны права администратора) и для одного пользователя (пользовательская установка). Тип установки выбирается при установке расширения. Если при установке OOo не имеет прав на запись в каталог Program files, выполняется пользовательская установка и окно с вопросом не появляется.
У вас пользовательская установка?

« Последнее редактирование: 3 Октябрь 2010, 19:06 от Yakov » Записан
Yakov
Администратор
**
Offline Offline

Сообщений: 2 590


WWW
« Ответ #9: 3 Октябрь 2010, 19:15 »

Проверить целостность архива и работоспособность Java можно следующим способом:
1. распаковать файл LanguageTool-1.1.oxt в папку каким-либо Zip архиватором (например 7-zip)
2. Запустить на выполнение файл LanguageToolGUI.jar ( если не настроены ассоциации файлов, запустить можно командой java -jar LanguageToolGUI.jar)
3. Если программа запустится и будет проверять тестовый текст - > всё в порядке с java и c архивом  LanguageTool-1.1.oxt


[вложение удалено Администратором]
« Последнее редактирование: 3 Октябрь 2010, 19:20 от Yakov » Записан
VlhOwn
Форумчанин
***
Offline Offline

Пол: Мужской
Расположение: Ростов-на-Дону
Сообщений: 1 076


« Ответ #10: 4 Октябрь 2010, 07:24 »

Вы после его установки его дополнительно настраивали?
Какие у Вас версии словарей и LT?
Никак не настраивал.
Версии словарей не помню (посмотреть смогу только вечером), версия LT -1.1.

Попробуйте вот что - поставьте 32-битную джаву.
Записан
Yakov
Администратор
**
Offline Offline

Сообщений: 2 590


WWW
« Ответ #11: 4 Октябрь 2010, 16:26 »

Попробуйте вот что - поставьте 32-битную джаву.
Должно помочь, так как в состав LT входят библиотеки по платформу x86.
Записан
kabinet1009
Участник
**
Offline Offline

Сообщений: 9


« Ответ #12: 4 Октябрь 2010, 16:43 »

2. Запустить на выполнение файл LanguageToolGUI.jar ( если не настроены ассоциации файлов, запустить можно командой java -jar LanguageToolGUI.jar)
3. Если программа запустится и будет проверять тестовый текст - > всё в порядке с java и c архивом  LanguageTool-1.1.oxt
Программа не запускается файлом  LanguageToolGUI.jar
Вот что получается:

[вложение удалено Администратором]
Записан
Syzygy
Форумчанин
***
Offline Offline

Пол: Мужской
Расположение: Подмосковье
Сообщений: 1 522


WWW
« Ответ #13: 4 Октябрь 2010, 16:52 »

Программа не запускается файлом  LanguageToolGUI.jar
Программа не должна этого делать. Вы должны запустить отдельный файл  LanguageToolGUI.jar, а не открывать расширение архиватором.
Записан

A Matter of Life and Death
VlhOwn
Форумчанин
***
Offline Offline

Пол: Мужской
Расположение: Ростов-на-Дону
Сообщений: 1 076


« Ответ #14: 4 Октябрь 2010, 16:54 »

Запустите консоль (cmd), перейдите в папку, где у Вас лежит LanguageToolGUI.jar, и наберите команду  java -jar LanguageToolGUI.jar
Переход: Например, у Вас LanguageToolGUI.jar лежит на диске D: в папке OOo\Extensions\LanguageTool. Тогда Вам нужно выполнить следующие команды:
d:
cd \OOo\Extensions\LanguageTool
и затем
"c:\Program Files\Java\jre6\bin\java.exe" -jar LanguageToolGUI.jar
« Последнее редактирование: 4 Октябрь 2010, 17:00 от VlhOwn » Записан
Страниц: 1 2 »   Вверх
  Печать  
 
Перейти в:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.21 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!